IncrementalCompileOptions (Gradle API 2.10)
Date: 2015-12-21

org.gradle.api.tasks.scala

## Class IncrementalCompileOptions

- java.lang.Object
- - org.gradle.api.tasks.scala.IncrementalCompileOptions

- All Implemented Interfaces:
    Serializable

      @Incubating
      public class IncrementalCompileOptions
      extends Object
      implements Serializable

  Options for incremental compilation of Scala code. Only used for compilation with Zinc.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncrementalCompileOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getAnalysisFile()` Returns the file path where results of code analysis are to be stored.
    `File` | `getPublishedCode()` Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
    `void` | `setAnalysisFile(File analysisFile)` Sets the file path where results of code analysis are to be stored.
    `void` | `setPublishedCode(File publishedCode)` Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncrementalCompileOptions

          public IncrementalCompileOptions()

  - ### Method Detail

    - #### getAnalysisFile

          @Input
          public File getAnalysisFile()

      Returns the file path where results of code analysis are to be stored.
      Returns:
        the file path where which results of code analysis are to be stored

    - #### setAnalysisFile

          public void setAnalysisFile(File analysisFile)

      Sets the file path where results of code analysis are to be stored.

    - #### getPublishedCode

          public File getPublishedCode()

      Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
      Returns:
        the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks

    - #### setPublishedCode

          public void setPublishedCode(File publishedCode)

      Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.